package org.jee.soa.domain.account;

import java.io.Serializable;
import java.util.Date;

/**
 * @author David A. Freels Sr.
 */
public class AccountTransaction implements Serializable
{
	private static final long serialVersionUID = -9054146384740424595L;
	
	private Account account;
	private int accountTransactionId;
	private double balance;
	private AccountTransactionType accountTransactionType;
	private Date transactionDate;

	public Account getAccount()
	{
		return account;
	}

	public void setAccount(Account account)
	{
		this.account = account;
	}

	public int getAccountTransactionId()
	{
		return accountTransactionId;
	}

	public void setAccountTransactionId(int accountTransactionId)
	{
		this.accountTransactionId = accountTransactionId;
	}

	public AccountTransactionType getAccountTransactionType()
	{
		return accountTransactionType;
	}

	public void setAccountTransactionType(AccountTransactionType accountTransactionType)
	{
		this.accountTransactionType = accountTransactionType;
	}

	public double getBalance()
	{
		return balance;
	}

	public void setBalance(double balance)
	{
		this.balance = balance;
	}

	public Date getTransactionDate()
	{
		return transactionDate;
	}

	public void setTransactionDate(Date transactionDate)
	{
		this.transactionDate = transactionDate;
	}
}
