package org.jee.soa.dao.account;

import org.jee.soa.domain.account.Account;
import org.jee.soa.domain.account.AccountTransaction;
import org.jee.soa.domain.customer.Customer;

import javax.ejb.Local;
import java.util.List;

/**
 * @author David A. Freels Sr.
 */
@Local
public interface AccountDAO
{
	List<Account> findCustomerAccounts(Customer customer);
	List<AccountTransaction> getAccountTransactions(Account account);
}
